# gitHubAppInfo

Configuration for GitHub App integration.

### Examples

```graphql
type GitHubAppInfo {
  baseURL: String
  urlPath: String
  configText: String
}
```

### Fields

| Field               | Description                                            | Supported fields |
| ------------------- | ------------------------------------------------------ | ---------------- |
| baseURL `String`    | GitHub App base URL                                    |                  |
| urlPath `String`    | URL path leading to the GitHub App installation page   |                  |
| configText `String` | Configuration Text to be displayed on GitHub App modal |                  |

### References

#### Fields with this object:

* [{} Connector.gitHubAppInfo](/api-documentation/api-reference/api--connectors/types/objects/connector.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/git-hub-app-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
